GoodMemGoodMem
ReferenceSdkRustTypes

ServiceIdentitiesListOptions

Rust struct goodmem::api::ServiceIdentitiesListOptions: declaration, fields or variants, and implementations.

All types

Struct ServiceIdentitiesListOptions

goodmem::api::ServiceIdentitiesListOptions

Query parameters and headers for service_identities.list.

pub struct ServiceIdentitiesListOptions {
    pub owner_principal_id: Option<String>,
    pub include_deleted: Option<bool>,
    pub max_results: Option<i32>,
    pub next_token: Option<String>,
    pub label: Option<BTreeMap<String, String>>,
}

Fields

owner_principal_id

pub owner_principal_id: Option<String>

Exact current administrative-owner principal UUID Wire name: ownerPrincipalId.

include_deleted

pub include_deleted: Option<bool>

Include readable permanent tombstones Wire name: includeDeleted.

max_results

pub max_results: Option<i32>

Page size; defaults to 50 and must be between 1 and 1000 Wire name: maxResults.

next_token

pub next_token: Option<String>

Opaque continuation token Wire name: nextToken.

label

pub label: Option<BTreeMap<String, String>>

Filter by label key-value pairs. Label filters accept either label.<key>=<value> or label[key]=value (for example, label.environment=production or label[environment]=production). Wire name: label.

Trait implementations

  • Clone (derived)
  • Debug (derived)
  • Default (derived)
  • Serialize (derived)

On this page